Bug 169698 - Add test for differentiating camera versus canvas stream
Summary: Add test for differentiating camera versus canvas stream
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-03-15 14:50 PDT by youenn fablet
Modified: 2017-03-29 08:18 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.36 KB, patch)
2017-03-28 21:58 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2017-03-15 14:50:08 PDT
Obviously it should not.
Comment 1 youenn fablet 2017-03-15 14:50:37 PDT
See LayoutTests/fast/mediastream/captureStream/ for instance
Comment 2 youenn fablet 2017-03-15 14:54:10 PDT
RealtimeMediaSource::remote should probably changed into RealtimeMediaSource::isCapture
Comment 3 Radar WebKit Bug Importer 2017-03-15 15:40:04 PDT
<rdar://problem/31076026>
Comment 4 Eric Carlson 2017-03-16 11:27:59 PDT
https://trac.webkit.org/changeset/214042 fixed the behavior, but lets keep this for adding a test.
Comment 5 youenn fablet 2017-03-28 21:58:27 PDT
Created attachment 305706 [details]
Patch
Comment 6 WebKit Commit Bot 2017-03-29 08:18:41 PDT
Comment on attachment 305706 [details]
Patch

Clearing flags on attachment: 305706

Committed r214534: <http://trac.webkit.org/changeset/214534>
Comment 7 WebKit Commit Bot 2017-03-29 08:18:45 PDT
All reviewed patches have been landed.  Closing bug.